<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2010 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: infusion.php
| Author: JoiNNN
| Visit: http://www.phpfusion.ro
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

if (file_exists(INFUSIONS."popup_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."popup_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."popup_panel/locale/English.php";
}

include INFUSIONS."popup_panel/infusion_db.php";

// Infusion general information
$inf_title = "PopUp Panel";
$inf_description = "SimpleModal PopUp panel.";
$inf_version = "1.1";
$inf_developer = "JoiNNN";
$inf_email = "spo0kye@yahoo.com";
$inf_weburl = "http://www.phpfusion.ro";

$inf_folder = "popup_panel";

// Delete any items not required below.
$inf_newtable[1] = DB_POPUP." (
   popup_show			SMALLINT(2) NOT NULL default '1',
   popup_message		TEXT NOT NULL default '',
   set_showTo			TINYINT(1) NOT NULL default '0',
   set_minHeight		VARCHAR(5) NOT NULL default '',
   set_maxHeight		VARCHAR(5) NOT NULL default '',
   set_minWidth			VARCHAR(5) NOT NULL default '',
   set_maxWidth			VARCHAR(5) NOT NULL default '',
   set_opacity			SMALLINT(3) NOT NULL default '50',
   set_modal			TINYINT(1) NOT NULL default '1',
   set_fixed			TINYINT(1) NOT NULL default '1',
   set_escClose			TINYINT(1) NOT NULL default '1',
   set_overlayClose		TINYINT(1) NOT NULL default '1',
   set_close			TINYINT(1) NOT NULL default '1',
   PRIMARY KEY (popup_show)
) ENGINE=MyISAM;";
$inf_insertdbrow[1] = DB_POPUP." (popup_show, popup_message, set_showTo, set_minHeight, set_maxHeight, set_minWidth, set_maxWidth, set_opacity, set_modal, set_fixed, set_escClose, set_overlayClose, set_close) VALUES('1', '".$locale['POPUP011']."', '0', '200', '0', '400', '0', '50', '1', '1', '1', '1', '1')";

$inf_adminpanel[1] = array(
	"title" => "PopUp Panel",
	"image" => "popup_panel.png",
	"panel" => "popup_panel_admin.php",
	"rights" => "POP"
);

$inf_droptable[1] = DB_POPUP;
?>