<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2010 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: popup_panel.php
| Author: JoiNNN
| Visit: http://www.phpfusion.ro
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }
//Check if infusion is enabled
$infused = dbquery("SELECT * FROM ".DB_ADMIN." WHERE admin_rights='POP'");
if (dbrows($infused)) {

include INFUSIONS."popup_panel/infusion_db.php";
	//DB query
	$result = dbquery("SELECT * FROM ".DB_POPUP);
	$data = dbarray($result);

  	$message = $data['popup_message'];
  	$show = $data['popup_show'];
	$minHeight 	= $data['set_minHeight'];
	$maxHeight 	= $data['set_maxHeight'];
	$minWidth 	= $data['set_minWidth'];
	$maxWidth 	= $data['set_maxWidth'];
	$opacity 	= $data['set_opacity'];
	$showTo 	= $data['set_showTo'];
	$modal 		= $data['set_modal'];
	$fixed 		= $data['set_fixed'];
	$escClose 	= $data['set_escClose'];
	$overlayClose = $data['set_overlayClose'];
	$close 		= $data['set_close'];

function valtype($value, $boolean = "no") {
	$val = "";
	if($boolean == "no") {
		if (empty($value) || $value < 40) {
			$val = "null";
		} else {
			$val = $value;
		}
	} else if($boolean == "yes") {
		if($value < 1) {
			$val = "false";
		} else {
			$val = "true";
		}
	}
	return $val;
}
if($showTo == 0 || $showTo == 1 && iGUEST || $showTo == 2 && iMEMBER) {
add_to_head("<link type='text/css' href='".INFUSIONS."popup_panel/css/basic.css' rel='stylesheet' media='screen' />");
add_to_head("<script type='text/javascript' src='".INFUSIONS."popup_panel/js/jquery.simplemodal.js'></script>");
add_to_head("<script type='text/javascript' src='".INFUSIONS."popup_panel/js/jquery.cookie.js'></script>");
add_to_head("<script type='text/javascript' src='".INFUSIONS."popup_panel/js/basic.js'></script>");

echo "<!-- modal content --><div id='basic-modal-content'>".html_entity_decode(stripslashes($message))."</div>";
echo "<script type='text/javascript' language='javascript'>
$(document).ready(function() {
	//Set cookie on click
	$('.simplemodal-close').click(function (e) {
		$.cookie('modalShow', 'dontshow', { expires: ".$show.", path:'/' });
	});
	//Reset cookie in case expire date was changed
	$.cookie('modalShow', 'dontshow', { expires: ".$show.", path:'/' });
});
$.extend($.modal.defaults, {
	opacity: ".valtype($opacity).",
	minHeight: ".valtype($minHeight).",
	maxHeight: ".valtype($maxHeight).",
	minWidth: ".valtype($minWidth).",
	maxWidth: ".valtype($maxWidth).",
	modal: ".valtype($modal, 'yes').",
	fixed: ".valtype($fixed, 'yes').",
	escClose: ".valtype($escClose, 'yes').",
	overlayClose: ".valtype($overlayClose, 'yes').",
	close: ".valtype($close, 'yes')."
});
</script>";
}
}